Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008268TestLinkInternal issuepublic2018-05-24 08:112018-06-05 12:01
Reportersilviu 
Assigned Tofman 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDockerOSDebianOS Version
Product Version 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008268: Latest Github Code - On recover password - Fatal Error PHPMailer
DescriptionFatal error: Uncaught Error: Class 'PHPMailer\PHPMailer\PHPMailer' not found in /var/www/html/lib/functions/email_api.php:94 Stack trace: #0 /var/www/html/lib/functions/users.inc.php(214): email_send('postmaster@mess...', 'silviu@messbust...', 'Your new TestLi...', 'Your new TestLi...') #1 /var/www/html/lostPassword.php(50): resetPassword(Object(database), '2') 0000002 {main} thrown in /var/www/html/lib/functions/email_api.php on line 94
Steps To ReproduceInstall 1.9.18 from the archive provided. Modify the custom_config.inc.php if needed. run docker-compose up, configure the new install then create a new user and after use the forgot password function.
Additional InformationI have tried the 1.9.17 on the same environment, it didn't pass the login with admin / admin credentials. It also had a php mailer warning.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mariadb 10.3
BrowserChrome, Safari
PHP Version7.2.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Fileszip file icon testlink.zip [^] (22,769 bytes) 2018-05-24 08:11

- Relationships

-  Notes
(0027488)
fman (administrator)
2018-05-25 18:18

moved to composer approach for php mailer, I will check
(0027504)
fman (administrator)
2018-06-02 10:05

fixed with commit:
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/b94601629a3f144c08531f13d1e7da9e2f2798e7 [^]

please get this code, retest & provide feedback
(0027533)
silviu (reporter)
2018-06-05 10:58
edited on: 2018-06-05 10:59

It loads the class, but there's I get could not connect to host if I set $g_smtp_connection_mode to tls. It does work on 25 port. It may be a PHP mailer problem on other clients it connects on the port 465 also telnet from the host on the port it works.

(0027535)
fman (administrator)
2018-06-05 12:01

do not reuse a ticket in this way, because what is happening has changed , this approach is very bad.

Going to close immediately.

- Issue History
Date Modified Username Field Change
2018-05-24 08:11 silviu New Issue
2018-05-24 08:11 silviu File Added: testlink.zip
2018-05-25 18:18 fman Note Added: 0027488
2018-05-25 18:18 fman Assigned To => fman
2018-05-25 18:18 fman Status new => assigned
2018-06-02 09:46 fman QA Team - Task Workflow Status => TBD
2018-06-02 09:46 fman Summary Default login not working => Latest Github Code - On recover password - Fatal Error PHPMailer
2018-06-02 09:46 fman Description Updated View Revisions
2018-06-02 10:05 fman Note Added: 0027504
2018-06-02 10:05 fman Status assigned => feedback
2018-06-05 10:58 silviu Note Added: 0027533
2018-06-05 10:58 silviu Status feedback => assigned
2018-06-05 10:59 silviu Note Edited: 0027533 View Revisions
2018-06-05 12:01 fman Note Added: 0027535
2018-06-05 12:01 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-06-05 12:01 fman Status assigned => resolved
2018-06-05 12:01 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-06-05 12:01 fman Resolution open => fixed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker